curl --request POST \
--url https://api.synctera.com/v1/fee_products \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Premium Checking Fee Schedule",
"description": "Fee schedule for premium checking accounts",
"fee_config_ids": [
"5c943c51-e4ff-4e57-9558-08cab6b96398"
]
}
'import requests
url = "https://api.synctera.com/v1/fee_products"
payload = {
"name": "Premium Checking Fee Schedule",
"description": "Fee schedule for premium checking accounts",
"fee_config_ids": ["5c943c51-e4ff-4e57-9558-08cab6b96398"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Premium Checking Fee Schedule',
description: 'Fee schedule for premium checking accounts',
fee_config_ids: ['5c943c51-e4ff-4e57-9558-08cab6b96398']
})
};
fetch('https://api.synctera.com/v1/fee_products', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"creation_time": "2024-01-15T10:00:00Z",
"fee_config_ids": [
"5c943c51-e4ff-4e57-9558-08cab6b96398"
],
"id": "7d943c51-e4ff-4e57-9558-08cab6b96312",
"last_updated_time": "2024-06-01T12:00:00Z",
"tenant": "abcdef_ghijkl",
"name": "Premium Checking Fee Schedule",
"status": "active",
"description": "Fee schedule for premium checking accounts"
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}Create a fee product
Create a new fee product bundle
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
An idempotency key is an arbitrary unique value generated by client to detect subsequent retries of the same request. It is recommended that a UUID or a similar random identifier be used as an idempotency key. A different key must be used for each request, unless it is a retry.
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
Body
Fee product to create
Name of the fee product bundle.
"Premium Checking Fee Schedule"
Description of the fee product bundle.
"Fee schedule for premium checking accounts"
active, inactive Optional list of existing fee config IDs to associate with this product at creation time.
["5c943c51-e4ff-4e57-9558-08cab6b96398"]
Response
Created fee product
Timestamp when the fee product was created.
"2024-01-15T10:00:00Z"
IDs of fee configs associated with this product.
["5c943c51-e4ff-4e57-9558-08cab6b96398"]
Unique identifier for this fee product.
"7d943c51-e4ff-4e57-9558-08cab6b96312"
Timestamp when the fee product was last updated.
"2024-06-01T12:00:00Z"
The id of the tenant containing the resource.
"abcdef_ghijkl"
Name of the fee product bundle.
"Premium Checking Fee Schedule"
active, inactive Description of the fee product bundle.
"Fee schedule for premium checking accounts"
Was this page helpful?

